Jelenlegi hely

Az ardour LV2 támogatása megszűnik

A következő ardour kiadás nem rendelkezik LV2 plug-in támogatással, ugyanis az slv2-t eltávolítottuk a függőségei közül. Ez egy API/ABI inkompatibilitás következménye az általunk szállított Redland/Rasqal/Raptor csomagok és az Ardour által támogatott belső verziók között, melyeket az SLV2 igényel. Ez okozta a fordítási és szegmentálási hibákat is, amelyeket te is tapasztalhattál.

Az upstream fejlesztők nem fogják frissíteni a kódot, mivel minden energiájukat a DAW 3-as verziójára fordítják, ami teljesen el fogja távolítani az SLV2-t (és feltehetően más LV2 implementációt adoptálnak, ha egyáltalán adoptálnak bármilyet). Pillanatnyilag senki nem küldött patchet a probléma megoldására. Kompatibilitási csomagokat sem tudunk biztosítani, ezért úgy döntöttünk, hogy dobjuk az LV2 támogatást az Ardour csomagból. A felhasználók továbbra is használhatják a LADSPA plug-ineket, vagy - ami feltehetően már most is népszerű megoldás - más LV2 hosztokat is igénybe vehetnek a jack routolási képességeinek segítségével.

Ray Rashif, 2011-07-08

hírek címkéi: 

Hozzászólások

banyek
2x nekiolvasásra nyugodtam meg, mert eddig összefolyt az egész, s azt hittem az LVM szűnik meg.
ahh....

soma-sk8